#version 330 core
layout (location = 0) in vec2 aPosition;
layout (location = 1) in float vertValue;

uniform float uYPosition;
uniform int uPattern;

out float fragValue;
flat out int pattern;

void main() {
	pattern = uPattern;
	fragValue = vertValue;
	gl_Position = vec4(aPosition.x, aPosition.y + uYPosition, 0.0, 1.0);
}